%define ver_major 2.26
%def_disable static

Name: eel
Version: %ver_major.0
Release: alt1

Summary: Eazel Extensions Library
License: %lgpl2plus
Group: System/Libraries
Url: http://ftp.gnome.org/pub/sources/%name

Source: %gnome_ftp/%name/%ver_major/%name-%version.tar.bz2
Source1: %name-%ver_major.map
Patch1: %name-2.22-alt-linking.patch
Patch2: %name-2.22-alt-versioning.patch

# From configure.in
%define libart_lgpl_ver 2.3.8
%define GConf_ver 1.1.11
%define glib_ver 2.15.0
%define gtk_ver 2.9.4
%define libxml2_ver 2.4.7
%define gail_ver 0.16
%define libglade_ver 2.0.0
%define gnome_desktop_ver 2.25.5
%define startup_notification_ver 0.8

BuildPreReq: rpm-build-gnome rpm-build-licenses
BuildPreReq: intltool >= 0.35
BuildPreReq: libGConf2-devel >= %GConf_ver
BuildPreReq: libgtk+2-devel >= %gtk_ver
BuildPreReq: glib2-devel >= %glib_ver
BuildPreReq: libgio-devel >= %glib_ver
BuildPreReq: libgail-devel >= %gail_ver
BuildPreReq: libart_lgpl-devel >= %libart_lgpl_ver
BuildPreReq: libgnome-desktop-devel >= %gnome_desktop_ver
BuildPreReq: libxml2-devel >= %libxml2_ver
BuildPreReq: libglade-devel >= %libglade_ver
BuildPreReq: libstartup-notification-devel >= %startup_notification_ver
BuildPreReq: libX11-devel libXext-devel libXrender-devel libXt-devel

BuildRequires: zlib-devel gcc-c++ imake libXext-devel perl-XML-Parser xorg-cf-files

%description
Eazel Extensions Library is a collection of widgets and functions for
use with GNOME.

%package -n lib%name
Summary: Eazel Extensions Library
Group: System/Libraries
Provides: lib%{name}2 = %version-%release
Obsoletes: lib%{name}2 <= 2.14.1
PreReq: GConf2

%description -n lib%name
Eazel Extensions Library is a collection of widgets and functions for
use with GNOME.

%package -n lib%name-devel
Summary: Libraries and include files for developing with Eel
Group: Development/GNOME and GTK+
Provides: lib%{name}2-devel = %version-%release
Obsoletes: lib%{name}2-devel <= 2.14.1
Requires: lib%name = %version-%release

%description -n lib%name-devel
This package provides the necessary development libraries and include
files to allow you to develop with Eel.

%prep
%setup -q
%patch1 -p1
%patch2 -p1
install -p -m644 %SOURCE1 %name/lib%name.map

%build
%autoreconf
%configure \
    %{subst_enable static}

%make_build

%install
%makeinstall

%find_lang %name-2.0

%files -n lib%name -f %name-2.0.lang
%_libdir/*.so.*
%doc AUTHORS ChangeLog NEWS README
%doc HACKING MAINTAINERS TODO

%files -n lib%name-devel
%_includedir/*
%_libdir/*.so
%_pkgconfigdir/*

%changelog
* Mon Mar 16 2009 Yuri N. Sedunov <aris@altlinux.org> 2.26.0-alt1
- 2.26.0

* Mon Mar 09 2009 Yuri N. Sedunov <aris@altlinux.org> 2.25.91-alt1
- 2.25.91
- updated version script

* Thu Jan 22 2009 Yuri N. Sedunov <aris@altlinux.org> 2.25.1-alt1
- 2.25.1
- updated buildreqs, version script

* Mon Dec 29 2008 Yuri N. Sedunov <aris@altlinux.org> 2.24.1-alt2
- updated buildreqs
- removed obsolete %%post{,un}_ldconfig

* Mon Oct 20 2008 Yuri N. Sedunov <aris@altlinux.org> 2.24.1-alt1
- 2.24.1

* Sat Sep 27 2008 Alexey Shabalin <shaba@altlinux.ru> 2.24.0-alt1
- new version (2.24.0)
- update versioning map

* Fri Jun 06 2008 Alexey Shabalin <shaba@altlinux.ru> 2.22.2-alt2
- move libs from LDFLAGS to LIBADD (patch1)
- add versioning

* Fri May 30 2008 Alexey Shabalin <shaba@altlinux.ru> 2.22.2-alt1
- new version (2.22.2)

* Wed Apr 02 2008 Alexey Shabalin <shaba@altlinux.ru> 2.22.1-alt1
- new version (2.22.1)

* Tue Mar 18 2008 Alexey Shabalin <shaba@altlinux.ru> 2.22.0-alt1.1
- build for Sisyphus
- remove BuildPreReq gnome-vfs-devel

* Fri Mar 14 2008 Alexey Shabalin <shaba@altlinux.ru> 2.22.0-alt1
- new version (2.22.0)

* Sun Mar 09 2008 Alexey Shabalin <shaba@altlinux.ru> 2.21.92-alt1
- new version (2.21.92)

* Fri Jul 06 2007 Alexey Rusakov <ktirf@altlinux.org> 2.18.3-alt1
- new version (2.18.3)

* Sat Jun 30 2007 Alexey Rusakov <ktirf@altlinux.org> 2.18.0.1-alt2
- use more macros
- removed no more needed workaround for ALL_LINGUAS
- re-checked dependencies

* Mon Jun 04 2007 Alexey Rusakov <ktirf@altlinux.org> 2.18.0.1-alt1
- new version (2.18.0.1)
- fixed wrong license in the package (Bug #6683).

* Sat Sep 23 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.16.0-alt1
- new version (2.16.0)
- removed pkgconfig-related dependencies of -devel subpackage.

* Thu Aug 31 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.15.92-alt1
- new version (2.15.92)
- updated dependencies

* Tue Aug 15 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.15.91-alt1
- new version (2.15.91)

* Sun Jun 04 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.14.1-alt3
- new version
- fixed ALL_LINGUAS initialization.
- should also build on x86_64.

* Mon May 15 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.14.1-alt2
- Added autoreconf to fix building on x86_64 (thanks to damir@ for spotting
  this).
- stripped away '2' from the names of binary packages.

* Tue Apr 11 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.14.1-alt1
- new version (2.14.1)

* Sun Apr 02 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.14.0-alt1
- new version (2.14.0)

* Mon Feb 20 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.13.91-alt1
- new version

* Tue Nov 15 2005 Alexey Rusakov <ktirf@altlinux.ru> 2.13.2-alt1
- new version

* Tue Oct 25 2005 Alexey Rusakov <ktirf@altlinux.ru> 2.13.1-alt1
- new version
- Updated dependencies from configure.in and .pc files.

* Tue Sep 06 2005 Alexey Rusakov <ktirf@altlinux.ru> 2.12.0-alt1
- 2.12.0
- Removed more excess buildreqs.

* Sun Sep 04 2005 Alexey Rusakov <ktirf@altlinux.ru> 2.11.92-alt1
- 2.11.92
- Removed excess buildreqs.

* Mon Apr 11 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.10.1-alt1
- 2.10.1

* Mon Mar 07 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.10.0-alt1
- 2.10.0

* Tue Mar 01 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.9.92-alt1
- 2.9.92

* Thu Feb 10 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.9.91-alt1
- 2.9.91

* Sun Feb 06 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.9.90-alt1
- 2.9.90.

* Thu Oct 28 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.8.2-alt1
- 2.8.2

* Tue Oct 12 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.8.1-alt1
- 2.8.1

* Mon Sep 13 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.8.0-alt1
- 2.8.0

* Mon Sep 06 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.7.92-alt1
- 2.7.92

* Sat Jun 05 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.6.2-alt1
- 2.6.2

* Mon Apr 19 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.6.1-alt1
- 2.6.1

* Tue Mar 23 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.6.0-alt1
- 2.6.0

* Fri Mar 19 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.5.91.1-alt1
- 2.5.91.1

* Mon Mar 08 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.5.90-alt1
- 2.5.90

* Mon Feb 23 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.5.8-alt1
- 2.5.8

* Wed Feb 11 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.5.7-alt1
- 2.5.7

* Sat Jan 31 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.5.6-alt1
- 2.5.6

* Thu Jan 15 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.5.5-alt1
- 2.5.5

* Mon Dec 01 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.4.1-alt2
- do not package .la files.

* Mon Oct 20 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.4.1-alt1
- 2.4.1

* Tue Sep 09 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.4.0-alt1
- 2.4.0

* Thu Sep 04 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.90-alt1
- 2.3.90

* Wed Aug 27 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.9-alt1
- 2.3.9

* Tue Aug 19 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.8-alt1
- 2.3.8

* Mon Jul 21 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.7-alt1
- 2.3.7

* Sat Jun 28 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.6-alt1
- 2.3.6

* Tue Jun 24 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.5-alt1
- 2.3.5

* Wed Jun 11 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.4-alt1
- 2.3.4

* Wed Jun 04 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.3-alt1
- 2.3.3

* Tue May 20 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.2-alt1
- 2.3.2

* Mon May 05 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.1-alt1
- 2.3.1

* Tue Apr 01 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.3.1-alt1
- 2.2.3.1

* Tue Apr 01 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.3-alt1
- 2.2.3

* Thu Mar 13 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.2-alt1
- 2.2.2

* Tue Feb 11 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.1-alt1
- 2.2.1

* Tue Jan 28 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.0.2-alt1
- 2.2.0.2

* Thu Jan 23 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.0.1-alt1
- 2.2.0.1

* Tue Jan 21 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.0-alt1
- 2.2.0

* Tue Jan 14 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.1.91-alt1
- 2.1.91

* Tue Jan 07 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.1.6-alt1
- 2.1.6

* Mon Dec 16 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.5-alt1
- 2.1.5

* Mon Dec 09 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.4-alt1
- 2.1.4

* Tue Nov 26 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.3-alt1
- 2.1.3

* Fri Nov 01 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.2-alt1
- 2.1.2

* Tue Oct 22 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.1-alt1
- 2.1.1

* Thu Oct 03 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.0-alt1
- 2.1.0

* Thu Sep 19 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.6-alt2
- buildprereq/requires lastest gail (0.17)

* Tue Sep 17 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.6-alt1
- 2.0.6

* Wed Jun 19 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.0-alt1
- Adopted for Sisyphus.

* Tue Mar 05 2002 Chris Chabot <chabotc@reviewboard.com>
- Fixed last small format items
- Converted to .spec.in
- Added deps

* Mon Feb 04 2002 Roy-Magne Mo <rmo@sunnmore.net>
- Fixed lang

* Sun Jan 20 2002 Chris Chabot <chabotc@reviewboard.com>
- Various cleanups
- moved build path from hard coded to _tmppath

* Sat Jan 19 2002 Chris Chabot <chabotc@reviewboard.com>
- Bumped version to 1.1.2

* Mon Nov 26 2001 Havoc Pennington <hp@redhat.com>
- Eel version 2 package created

* Tue Oct 23 2001 Havoc Pennington <hp@redhat.com>
- 1.0.2

* Wed Aug 29 2001 Alex Larsson <alexl@redhat.com>
- Added new font with cyrrilic glyphs from
- ftp://ftp.gnome.ru/fonts/urw/
- This closes #52772

* Mon Aug 27 2001 Alex Larsson <alexl@redhat.com> 1.0.1-18
- Add patch to fix #52348

* Thu Aug 23 2001 Havoc Pennington <hp@redhat.com>
- Applied patch from CVS to try fixing #51965

* Wed Aug 22 2001 Havoc Pennington <hp@redhat.com>
- Applied patch to handle multibyte chars in
eel_string_ellipsize - hopefully fixes #51710

* Fri Aug 17 2001 Alexander Larsson <alexl@redhat.com> 1.0.1-15
- Fixed the default font patch. It crashed on 64bit arch.

* Tue Aug 14 2001 Alexander Larsson <alexl@redhat.com> 1.0.1-13
- Fixed EelScalableFont to not keep reloading fonts
- all the time.

* Fri Aug  3 2001 Owen Taylor <otaylor@redhat.com>
- Fix problems with EelImageChooser widget and Japanese

* Fri Jul 27 2001 Alexander Larsson <alexl@redhat.com>
- Get some fixes from CVS head, one that segfaulted ia64.
- This also moves the include file into a eel-1 dir, so that
- it can later coexist with eel 2.0.

* Tue Jul 24 2001 Owen Taylor <otaylor@redhat.com>
- Fixes for efficiency of background drawing

* Tue Jul 24 2001 Akira TAGOH <tagoh@redhat.com> 1.0.1-7
- fixed typo in patch. oops.

* Mon Jul 23 2001 Akira TAGOH <tagoh@redhat.com> 1.0.1-6
- fixed choose the default font with every locale.

* Wed Jul 18 2001 Havoc Pennington <hp@redhat.com>
- own some directories we didn't before

* Sun Jul 08 2001 Tim Powers <timp@redhat.com>
- cleaned up files list so that the defattr is doing something
sensible and not leaving out the docs
- moved changelog to the end of the specfile

* Fri Jul 06 2001 Alexander Larsson <alla@redhat.com>
- Removed docdir and cleaned up specfile a bit.

* Fri Jul 06 2001 Alexander Larsson <alla@redhat.com>
- Updated to 1.0.1

* Wed May 09 2001 Jonathan Blandford <jrb@redhat.com>
- Add to Red Hat build system

* Wed Apr 04 2000 Ramiro Estrugo <ramiro@eazel.com>
- created this thing
